-- Tips.lua

print("Lua - Isch jebb noch'n pah tipps")

Keymappertipps =
	{
		"Play notes with the mouse. Watch note events in currently selected MIDI track during playback.",
		"Select tuning, mode and fundamental for currently selected audio channel 1-16 (current selection also governs note entry in Piano and Score Editor)"
	}

Keymappertipp = function(x) return Keymappertipps[x + 1] end

Audiofenstertipps =
	{
		"Drag and click with left mouse button to select a range. Right-click on selected range for context menue."
	}

Audiofenstertipp = function(x) return Audiofenstertipps[x + 1] end

Msecleistentipps =
	{
		"The time-line in milliseconds. Click left to position playback cursor. Click right for context menue."
	}

Msecleistentipp = function(x) return Msecleistentipps[x + 1] end

Taktleistentipps =
	{
		"The time-line in bars and beats. Click left to position playback cursor. Click right for context menue. Left-click near a circle relocates bar/beat."
	}

Taktleistentipp = function(x) return Taktleistentipps[x + 1] end

Mixertipps =
	{
		"Click right to insert or delete a generator plug-in. Click left to open plug-in editor.",
		"Click right to insert or delete an effect plug-in. Click left to open plug-in editor."
	}

Mixertipp = function(x) return Mixertipps[x + 1] end

Tickanzeigetipps =
	{
		"Move insert position by (Q)uants = 1/32 or (T)icks. Set to new position by clicking on the time info of any event displayed below."
	}

Tickanzeigetipp = function(x) return Tickanzeigetipps[x + 1] end

Spurdisplaytipps =
	{
		"Click left on a part to perform editing operation. Right-click on a part for context menu.",
		"Select the type of editing operation the mouse will perform in the window below",
		"Select the resolution of the mouse coordinates inside the window below",
		"Select the type of event the mouse will insert when drawing inside the window below"
	}

Spurdisplaytipp = function(x) return Spurdisplaytipps[x + 1] end

Spurlistentipps =
	{
		"Click to select track. Right-click to edit track name.",
		"Select the type of editing operation the mouse will perform in the window below",
		"Drag the knobs to change groove (horizontal) and accentuation (vertical). Click on large and small numbers to change rhythmic division. Right-click for context menu."
	}

Spurlistentipp = function(x) return Spurlistentipps[x + 1] end

Listendisplaytipps =
	{
		"Click on time info to move insert position. Click on any other info to select/deselect entry. Right-click on entry for context menu.",
		"Select the type of editing operation the mouse will perform in the window below",
		"Select the resolution of the mouse coordinates inside the window below",
		"Select the type of event the mouse will insert when drawing inside the window below"
	}

Listendisplaytipp = function(x) return Listendisplaytipps[x + 1] end

Pianodisplaytipps =
	{
		"Click left on a note to perform editing operation. Click and drag on empty space for multiple selection box. Single click on empty space deselects. Right-click on a note for context menu.",
		"Select the type of editing operation the mouse will perform in the window below",
		"Select the resolution of the mouse coordinates inside the window below",
		"Select the length of notes the mouse will insert when drawing inside the window below"
	}

Pianodisplaytipp = function(x) return Pianodisplaytipps[x + 1] end

Notendisplaytipps =
	{
		"Click left on a note to perform editing operation. Click and drag on empty space for multiple selection box. Single click on empty space deselects. Right-click on a note for context menu.",
		"Select the type of editing operation the mouse will perform in the window below",
		"Select the divisor for note values when splitting notes in the window below",
		"Notendisplay3"
	}

Notendisplaytipp = function(x) return Notendisplaytipps[x + 1] end

Modulfenstertipps =
	{
		"Modulfenster"
	}

Modulfenstertipp = function(x) return Modulfenstertipps[x + 1] end

Fensterwahltipps = 
	{
		"Show / Hide Track Window",
		"Show / Hide Piano Window",
		"Show / Hide Score Window",
		"Show / Hide List Window",
		"Show / Hide Audio Editor",
		"Show / Hide Audio Mixer"
	}

Fensterwahltipp = function(x) return Fensterwahltipps[x + 1] end

Transportfenstertipps =
	{
		"Start playback from the beginning",
		"Stop playback / Switch off record mode",
		"Continue playback from current position",
		"Record mode on/off. To start real-time recording press this and 'Start' or 'Continue' afterwards."
	}

Transportfenstertipp = function(x) return Transportfenstertipps[x + 1] end

Tempofenstertipps = 
	{
		"The current time signature",
		"The current bar",
		"The current playback position in msec",
		"The current tempo. Click and drag this value to change it."
	}

Tempofenstertipp = function(x) return Tempofenstertipps[x + 1] end

Transportmodusfenstertipps = 
	{
		"Enable/Disable master track control",
		"Enable/Disable loop mode",
		"Enable/Disable metronome clicks"
	}

Transportmodusfenstertipp = function(x) return Transportmodusfenstertipps[x + 1] end

Listeneditorauswahltipps = 
	{
		"Move the display to the previous track", 
		"Move the display to the next track", 
		"Delete selected events"
	}

Listeneditorauswahltipp = function(x) return Listeneditorauswahltipps[x + 1] end

Einfuegetypauswahltipps = 
	{
		"Insert a new note event", 
		"Insert a new key pressure event",
		"Insert a new controller event",
		"Insert a new program change event",
		"Insert a new channel pressure event",
		"Insert a new pitch bending event",
		"Insert a new tempo event",
		"Insert a new time signature",
		"Insert a new key signature",
		"Insert a new text event",
		"Insert a new lyrics event",
		"Insert a new marker event"
	}

Einfuegetypauswahltipp = function(x) return Einfuegetypauswahltipps[x + 1] end

Pianoeditortipps = 
	{
		"Move to previous track",
		"Move to next track",
		"Zoom in horizontally",
		"Zoom out horizontally",
		"Zoom in vertically",
		"Zoom out vertically",
		"Toggle between 'Display Single Track' and 'Display All Tracks' mode",
		"Toggle 'Edit Solo' mode"
	}

Pianoeditortipp = function(x) return Pianoeditortipps[x + 1] end

Noteneditortipps = 
	{
		"Move to previous track",
		"Move to next track",
		"Toggle visibility of bar divisions",
		"Decides if complex divisions (pentoles or heptoles) are accepted or not",
		"One diatonic step up",
		"One diatonic step down",
		"One chromatic step up",
		"One chromatic step down"
	}

Noteneditortipp = function(x) return Noteneditortipps[x + 1] end

Spureditortipps = 
	{
		"Zoom in horizontally",
		"Zoom out horizontally",
		"Zoom in vertically",
		"Zoom out vertically",
		"Focus on selected track with maximum vertical zoom level",
		"Minimum vertical zoom level"
	}

Spureditortipp = function(x) return Spureditortipps[x + 1] end

Audioeditortipps1 = 
	{
		"Start audio playback",
		"Stop audio playback",
		"Continue audio playback",
		"Start recording from mixer",
		"Zoom in",
		"Zoom out"
	}

Audioeditortipp1 = function(x) return Audioeditortipps1[x + 1] end

Audioeditortipps2 = 
	{
		"Start audio playback",
		"Stop audio playback",
		"Continue audio playback",
		"Fast forward (click again to increase speed)",
		"Fast rewind (click again to increase speed)",
		"Zoom in",
		"Zoom out"
	}

Audioeditortipp2 = function(x) return Audioeditortipps2[x + 1] end

Audioeditortipps3 = 
	{
		"Start audio playback",
		"Stop audio playback",
		"Continue audio playback",
		"Zoom in",
		"Zoom out",
		"Move loop start to previous zero crossing",
		"Move loop start to next zero crossing",
		"Move loop end to previous zero crossing",
		"Move loop end to next zero crossing"
	}

Audioeditortipp3 = function(x) return Audioeditortipps3[x + 1] end

Spurplugintipps = 
	{
		"Reset groove structure (no groove)",				
		"Extrapolate groove structure from 1st beat",			
		"Reduce note-on/off time deviation of groove structure",				
		"Reduce accentuation of groove structure",
		"Average note-on/off time deviation of beats",				
		"Average accentuation of beats",
		"Average note-on/off time deviation of divisions",			
		"Average accentuation of divisions"
	}

Spurplugintipp = function(x) return Spurplugintipps[x + 1] end

GenTippWetMix = "The ratio of processed and unmodified signal"
GenTippOutputGain = "The overall output volume"

Generatortipps = {}
Generatortipps["PolySynth|VoiceMode"] = "Different methods how voices are assigned"
Generatortipps["PolySynth|VoiceNumber"] = "The maximum number of assignable voices"
Generatortipps["PolySynth|PortaAmt."] = "The amount of portamento (gliding) between notes"
Generatortipps["PolySynth|CrsModSrc"] = "The source of frequency modulation (coarse tuning)"
Generatortipps["PolySynth|CrsModAmt"] = "The amount of frequency modulation (coarse tuning)"
Generatortipps["PolySynth|FineModSrc"] = "The source of frequency modulation (fine tuning)"
Generatortipps["PolySynth|FineModAmt"] = "The amount of frequency modulation (fine tuning)"
Generatortipps["PolySynth|GAttack"] = "The strength of pitch gravity force in attack phase (0= no effect)"
Generatortipps["PolySynth|GRelease"] = "The strength of pitch gravity force in release phase"
Generatortipps["PolySynth|GInertia"] = "The inertia of pitch gravity force"
Generatortipps["PolySynth|FrqDev"] = "The range of random deviation added to base frequency"
Generatortipps["PolySynth|Type"] = "The waveform of the vibrato LFO"
Generatortipps["PolySynth|Frequency"] = "The base frequency of the vibrato LFO"
Generatortipps["PolySynth|VibraDriftRange"] = "The range of random frequency drift of the vibrato LFO"
Generatortipps["PolySynth|VibraDriftSpeed"] = "The speed of random frequency drift of the vibrato LFO"
Generatortipps["PolySynth|Amplitude"] = "The amplitude of the vibrato LFO"
Generatortipps["PolySynth|Initial"] = "The initial amplitude level of the vibrato LFO at note-on"
Generatortipps["PolySynth|Delay"] = "How long the vibrato LFO stays at initial amplitude level after note-on"
Generatortipps["PolySynth|Fade-In"] = "How fast the vibrato LFO will fade in from initial amplitude to full amplitude"
Generatortipps["PolySynth|Fade-Out"] = "How fast the vibrato LFO will to fade out from full amplitude to zero amplitude after note-off"
Generatortipps["PolySynth|FreqModSrc"] = "The source of frequency modulation for the vibrato LFO"
Generatortipps["PolySynth|FreqModAmt"] = "The amount of frequency modulation for the vibrato LFO"
Generatortipps["PolySynth|AmpModSrc"] = "The source of amplitude modulation for the vibrato LFO"
Generatortipps["PolySynth|AmpModAmt"] = "The amount of amplitude modulation for the vibrato LFO"

GenBLEPTipps = {}
GenBLEPTipps["PulseWidth"] = "Determines waveform shape"
GenBLEPTipps["NoiseMix"] = "Determines how much noise is mixed in"
GenBLEPTipps["PWModSrc"] = "The source of pulse-width modulation"
GenBLEPTipps["PWModAmt"] = "The amount of pulse-width modulation"
GenBLEPTipps["SyncFreq"] = "Determines the frequency of the hard-sync impulse"
GenBLEPTipps["SyncMask"] = "Determines the pattern of hard-sync impulses (0 = no sync)"
GenBLEPTipps["SyFModSrc"] = "The source of hard-sync frequency modulation"
GenBLEPTipps["SyFModRange"] = "The range of hard-sync frequency modulation"
GenBLEPTipps["Mix"] = "The mixing ratio of 1st and 2nd oscillator"
GenBLEPTipps["MixModSrc"] = "The source of mixing ratio modulation"
GenBLEPTipps["MixModAmt"] = "The amount of mixing ratio modulation"
GenBLEPTipps["Octave"] = "The octave transposition in relation to 1st oscillator"
GenBLEPTipps["DetuneFine"] = "The de-tuning in relation to 1st oscillator"
GenBLEPTipps["DetModSrc"] = "The source of detune (=frequency) modulation"
GenBLEPTipps["DetModAmt"] = "The amount of detune (=frequency) modulation"

GenEnvATipp = "The length of the attack phase of the envelope"
GenEnvHTipp = "The length of the hold phase of the envelope"
GenEnvDTipp = "The length of the decay phase of the envelope"

GenEnvAVTTipp = "To what extent velocity influences the length of the attack phase"
GenEnvAKTTipp = "To what extent note frequency influences the length of the attack phase"
GenEnvHKTTipp = "To what extent note frequency influences the length of the hold phase"
GenEnvDKTTipp = "To what extent note frequency influences the length of the decay phase"

GenFilterTipps = {}
GenFilterTipps["Floor"] = "The cutoff frequency" 
GenFilterTipps["ModRange"] = "To which extent the cutoff frequency is modulated by the envelope"
GenFilterTipps["Q"] = "The amount of resonance"
GenFilterTipps["Bandwidth"] = "The width of the frequency window"
GenFilterTipps["Attack"] = GenEnvATipp
GenFilterTipps["Decay"] = GenEnvDTipp
GenFilterTipps["Sustain"] = "The sustain level of the envelope"
GenFilterTipps["Release"] = "The length of the release phase of the envelope"
GenFilterTipps["VelTrk"] = "How much the peak of the envelope is controlled by note velocity"
GenFilterTipps["KeyTrk"] = "How much the peak of the envelope is controlled by note frequency"
GenFilterTipps["Release"] = "The length of the release phase of the envelope"
GenFilterTipps["AtkVelTrk"] = GenEnvAVTTipp
GenFilterTipps["AtkKeyTrk"] = GenEnvAKTTipp
GenFilterTipps["DcyVelTrk"] = "To what extent velocity influences the length of the decay phase"
GenFilterTipps["DcyKeyTrk"] = GenEnvDKTTipp
GenFilterTipps["RelKeyTrk"] = "To what extent note frequency influences the length of the release phase"
GenFilterTipps["CutModSrc"] = "The source of cutoff frequency modulation"
GenFilterTipps["CutModAmt"] = "The amount of cutoff frequency modulation"
GenFilterTipps["QModSrc"] = "The source of resonance level modulation"
GenFilterTipps["QModAmt"] = "The amount of resonance level modulation"
GenFilterTipps["BWModSrc"] = "The source of bandwidth modulation"
GenFilterTipps["BWModAmt"] = "The amount of bandwidth modulation"

Generatortipps["Mono->StereoVCA|Attack"] = "The length of the attack phase of the amplitude envelope"
Generatortipps["Mono->StereoVCA|Decay"] = "The length of the decay phase of the amplitude envelope"
Generatortipps["Mono->StereoVCA|Sustain"] = "The sustain level of the of the amplitude envelope"
Generatortipps["Mono->StereoVCA|Release"] = "The length of the release phase of the amplitude envelope"
Generatortipps["Mono->StereoVCA|AtkVelTrk"] = "To what extent velocity influences the length of the attack phase"
Generatortipps["Mono->StereoVCA|AtkKeyTrk"] = "To what extent key number influences the length of the attack phase"
Generatortipps["Mono->StereoVCA|DcyVelTrk"] = "To what extent velocity influences the length of the decay phase"
Generatortipps["Mono->StereoVCA|DcyKeyTrk"] = "To what extent key number influences the length of the decay phase"
Generatortipps["Mono->StereoVCA|RelKeyTrk"] = "To what extent key number influences the length of the release phase"
Generatortipps["Mono->StereoVCA|Gain"] = "The overall volume"
Generatortipps["Mono->StereoVCA|AmpModSrc"] = "The source of amplitude modulation"
Generatortipps["Mono->StereoVCA|AmpModAmt"] = "The amount of amplitude modulation"
Generatortipps["Mono->StereoVCA|PanCenter"] = "The basic stereo position"
Generatortipps["Mono->StereoVCA|PanModSrc"] = "The source of stereo position modulation"
Generatortipps["Mono->StereoVCA|PanModAmt"] = "The amount of stereo position modulation"
Generatortipps["Mono->StereoVCA|PanFrqTrk"] = "To what extent frequency influences the stereo position"

GenTippChorusDepth = "How much input gets detuned by the chorus effect"
GenTippChorusFb = "How much output is fed back into input"

Generatortipps["QuadChorus|Depth"] = GenTippChorusDepth
Generatortipps["QuadChorus|Feedback"] = GenTippChorusFb
Generatortipps["QuadChorus|LFORate"] = "The frequency of the LFO"
Generatortipps["QuadChorus|Wet-Mix"] = GenTippWetMix
Generatortipps["QuadChorus|OutputGain"] = GenTippOutputGain

Generatortipps["HarmChorus|Depth"] = GenTippChorusDepth
Generatortipps["HarmChorus|Feedback"] = GenTippChorusFb
Generatortipps["HarmChorus|LFORate"] = "The base frequency of the LFO set"
Generatortipps["HarmChorus|Wet-Mix"] = GenTippWetMix
Generatortipps["HarmChorus|OutputGain"] = GenTippOutputGain

Generatortipps["SymphChorus|Depth"] = GenTippChorusDepth
Generatortipps["SymphChorus|Feedback"] = GenTippChorusFb
Generatortipps["SymphChorus|1stLFORate"] = "The 1st border frequency of the LFO set"
Generatortipps["SymphChorus|2ndLFORate"] = "The 2nd border frequency of the LFO set"
Generatortipps["SymphChorus|Wet-Mix"] = GenTippWetMix
Generatortipps["SymphChorus|OutputGain"] = GenTippOutputGain

GenTippDecayTime = "The overall reverberation time"
GenTippReflDur = "The duration of the early reflections stage"
GenTippRefDurL = GenTippReflDur .. " on left channel"
GenTippRefDurR = GenTippReflDur .. " on right channel"
GenTippReflDistrib = "The interval between echoes in the early reflections stage"
GenTippRefDistribL = GenTippReflDistrib .. " on left channel"
GenTippRefDistribR = GenTippReflDistrib .. " on right channel"
GenTippReflDecay = "The envelope of the early reflections stage"
GenTippHFDamp = "How much high frequencies will be get absorbed by the reverb"
GenTippLFDamp = "How much low frequencies will be get absorbed by the reverb"

GenRevTippRoomSize = "The size of the simulated room"
GenRevTippDamp = "How much the preliminary filter will damp high frequencies"

Generatortipps["SmallRev|Wet-Mix"] = GenTippWetMix
Generatortipps["SmallRev|OutputGain"] = GenTippOutputGain
Generatortipps["SmallRev|HFDamp"] = GenTippHFDamp
Generatortipps["SmallRev|DecayTime"] = GenTippDecayTime
Generatortipps["SmallRev|RoomSize"] = GenRevTippRoomSize

Generatortipps["MediumRev|Wet-Mix"] = GenTippWetMix
Generatortipps["MediumRev|OutputGain"] = GenTippOutputGain
Generatortipps["MediumRev|HFDamp"] = GenTippHFDamp
Generatortipps["MediumRev|DecayTime"] = GenTippDecayTime
Generatortipps["MediumRev|RoomSize"] = GenRevTippRoomSize
Generatortipps["MediumRev|PreDamp"] = GenRevTippDamp

Generatortipps["LargeRev|PreFb"] = "The feedback level of early-stage delay"
Generatortipps["LargeRev|PreDlyL"] = "The duration of early-stage delay on left channel"
Generatortipps["LargeRev|PreDlyR"] = "The duration of early-stage delay on right channel"
Generatortipps["LargeRev|PreHFDmpL"] = GenRevTippDamp .. " on left channel"
Generatortipps["LargeRev|PreHFDmpR"] = GenRevTippDamp .. " on right channel"
Generatortipps["LargeRev|PreLFDmpL"] = "How much the preliminary filter will damp low frequencies on left channel"
Generatortipps["LargeRev|PreLFDmpR"] = "How much the preliminary filter will damp low frequencies on right channel"
Generatortipps["LargeRev|DecayTime"] = GenTippDecayTime
Generatortipps["LargeRev|Wet-Mix"] = GenTippWetMix
Generatortipps["LargeRev|HFDamp"] = GenTippHFDamp
Generatortipps["LargeRev|StereoAmt"] = "The stereo width of the reverb"
Generatortipps["LargeRev|OutputGain"] = GenTippOutputGain

GenRevTippLPFilter = "The amount of low-pass filtering inside the reverb"
GenRevTippDiff = "How much the sound will get diffused"

Generatortipps["SmallRoomRev|ReflDur"] = GenTippReflDur
Generatortipps["SmallRoomRev|ReflDistrib"] = GenTippReflDistrib
Generatortipps["SmallRoomRev|ReflDecay"] = GenTippReflDecay
Generatortipps["SmallRoomRev|PreDamp"] = GenRevTippDamp
Generatortipps["SmallRoomRev|DecayTime"] = GenTippDecayTime
Generatortipps["SmallRoomRev|Wet-Mix"] = GenTippWetMix
Generatortipps["SmallRoomRev|InpDiff1"] = GenRevTippDiff .. " in the 1st input stage"
Generatortipps["SmallRoomRev|InpDiff2"] = GenRevTippDiff .. " in the 2nd input stage"
Generatortipps["SmallRoomRev|DecDiff1"] = GenRevTippDiff .. " in the 1st decay stage"
Generatortipps["SmallRoomRev|DecDiff2"] = GenRevTippDiff .. " in the 2nd decay stage"
Generatortipps["SmallRoomRev|OutputGain"] = GenTippOutputGain
Generatortipps["SmallRoomRev|LPFilter"] = GenRevTippLPFilter

Generatortipps["MediumRoomRev|RefDurL"] = GenTippRefDurL
Generatortipps["MediumRoomRev|RefDurR"] = GenTippRefDurR
Generatortipps["MediumRoomRev|RefDistribL"] = GenTippRefDistribL
Generatortipps["MediumRoomRev|RefDistribR"] = GenTippRefDistribR
Generatortipps["MediumRoomRev|PreDampL"] = GenRevTippDamp .. " on left channel"
Generatortipps["MediumRoomRev|PreDampR"] = GenRevTippDamp .. " on right channel"
Generatortipps["MediumRoomRev|RefDecay"] = GenTippReflDecay
Generatortipps["MediumRoomRev|DecayTime"] = GenTippDecayTime
Generatortipps["MediumRoomRev|RoomSize"] = GenRevTippRoomSize
Generatortipps["MediumRoomRev|Wet-Mix"] = GenTippWetMix
Generatortipps["MediumRoomRev|OutputGain"] = GenTippOutputGain
Generatortipps["MediumRoomRev|LPFilter"] = GenRevTippLPFilter
Generatortipps["MediumRoomRev|Diffusion1"] = GenRevTippDiff .. " in the 1st stage"
Generatortipps["MediumRoomRev|Diffusion2"] = GenRevTippDiff .. " in the 2nd stage"

Generatortipps["LargeRoomRev|PreDampL"] = GenRevTippDamp .. " on left channel"
Generatortipps["LargeRoomRev|PreDampR"] = GenRevTippDamp .. " on right channel"
Generatortipps["LargeRoomRev|LPFilter"] = GenRevTippLPFilter
Generatortipps["LargeRoomRev|RefDistrib"] = GenTippReflDistrib
Generatortipps["LargeRoomRev|RefDecay"] = GenTippReflDecay
Generatortipps["LargeRoomRev|RefDurL"] = GenTippRefDurL
Generatortipps["LargeRoomRev|RefDurR"] = GenTippRefDurR
Generatortipps["LargeRoomRev|DecayTime"] = GenTippDecayTime
Generatortipps["LargeRoomRev|RoomSize"] = GenRevTippRoomSize
Generatortipps["LargeRoomRev|Wet-Mix"] = GenTippWetMix
Generatortipps["LargeRoomRev|OutputGain"] = GenTippOutputGain
Generatortipps["LargeRoomRev|Diffusion1"] = GenRevTippDiff .. " in the 1st stage"
Generatortipps["LargeRoomRev|Diffusion2"] = GenRevTippDiff .. " in the 2nd stage"
Generatortipps["LargeRoomRev|Nesting"] = "The length ratio of nested filters" 

Generatortipps["FDN|Wet-Mix"] = GenTippWetMix
Generatortipps["FDN|OutputGain"] = GenTippOutputGain
Generatortipps["FDN|RoomSize"] = GenRevTippRoomSize
Generatortipps["FDN|DecayTime"] = GenTippDecayTime
Generatortipps["FDN|PreDamp"] = GenRevTippDamp
Generatortipps["FDN|HFDamp"] = GenTippHFDamp
Generatortipps["FDN|LFDamp"] = GenTippLFDamp

Generatortipps["Compressor|Threshold"] = "The threshold the incoming signal's amplitude must exceed before the compressor responds"
Generatortipps["Compressor|Ratio"] = "The ratio by which the compressor tries to reduce the signal"
Generatortipps["Compressor|Attack"] = "How fast compression level is increased once the signal's amplitude has risen above the threshold"
Generatortipps["Compressor|Release"] = "How fast compression level is decreased once the signal's amplitude has sunken below the threshold"
Generatortipps["Compressor|Knee"] = "This controls the bend of the compressor's response curve between threshold level and 0 dB"
Generatortipps["Compressor|OutputGain"] = GenTippOutputGain

Generatortipps["Table|TableNo"] = "The number of the selected wavetable"

GenLFOTipps = {}
GenLFOTipps["Type"] = "The waveform of the LFO"
GenLFOTipps["Frequency"] = "The base frequency of the LFO"
GenLFOTipps["Amplitude"] = "The amplitude of the LFO"
GenLFOTipps["FreqModSrc"] = "The source of frequency modulation for the LFO"
GenLFOTipps["FreqModAmt"] = "The amount of frequency modulation for the LFO"
GenLFOTipps["AmpModSrc"] = "The source of amplitude modulation for the LFO"
GenLFOTipps["AmpModAmt"] = "The amount of amplitude modulation for the LFO"

GenAHDTipps = {}
GenAHDTipps["Attack"] = GenEnvATipp
GenAHDTipps["Hold"] = GenEnvHTipp
GenAHDTipps["Decay"] = GenEnvDTipp
GenAHDTipps["AtkVelTrk"] = GenEnvAVTTipp
GenAHDTipps["AtkKeyTrk"] = GenEnvAKTTipp
GenAHDTipps["HldKeyTrk"] = GenEnvHKTTipp
GenAHDTipps["DcyKeyTrk"] = GenEnvDKTTipp

Generatortipp = function(s1, s2)
	--print(s2 .. "+" .. s1)
		if
			s2 == "RBJ-LP-M" or 
			s2 == "RBJ-HP-M" or
			s2 == "RBJ-BPcsg-M" or
			s2 == "RBJ-BPczpg-M" or
			s2 == "RBJ-Notch-M" or
			s2 == "Chm-LP-M" or
			s2 == "Chm-HP-M" or
			s2 == "Chm-BP-M" or
			s2 == "Chm-BS-M" or
			s2 == "Moog-LP-M" or
			s2 == "Moog-HP-M" or
			s2 == "Moog-BP-M" or
			s2 == "SVF1-LP-M" or
			s2 == "SVF1-HP-M" or
			s2 == "SVF1-BP-M" or
			s2 == "SVF2-LP-M" or
			s2 == "SVF2-HP-M" or
			s2 == "SVF2-BP-M"
		then
			Ergebnis = GenFilterTipps[s1]
		elseif
			s2 == "MinBLEPSaege" or
			s2 == "MinBLEPSaegeAdd" or
			s2 == "MinBLEPRechteck" or
			s2 == "MinBLEPRechteckAdd"
		then
			Ergebnis = GenBLEPTipps[s1]
		elseif
			s2 == "LFO1" or
			s2 == "LFO2" or
			s2 == "LFO3" or
			s2 == "LFO4"
		then
			Ergebnis = GenLFOTipps[s1]
		elseif
			s2 == "AHD1" or
			s2 == "AHD2" or
			s2 == "AHD3" or
			s2 == "AHD4"
		then
			Ergebnis = GenAHDTipps[s1]
		else
			if
				s2 == "FDN18" or
				s2 == "FDN36" or
				s2 == "FDN54"
			then
				s2 = "FDN"
			end
			Ergebnis = Generatortipps[s2 .. "|" .. s1]
		end
		return Ergebnis	
	end
--  

Effekttipps = {}
Effekttipps[0x000000] =	"The stereo center"
Effekttipps[0x000001] = "The amount of vibration"
Effekttipps[0x000002] = "The speed of vibration"
Effekttipps[0x000100] =	"The cutoff frequency of the filter"
Effekttipps[0x000101] =	"The resonance of the filter"
Effekttipps[0x000102] =	"How much the cutoff frequency is modulated by the LFO"
Effekttipps[0x000103] =	"The speed of the LFO"
Effekttipps[0x000104] =	"The phase difference between the LFO for the left and the LFO for right channel"
Effekttipps[0x000105] =	"The output volume"
Effekttipps[0x000200] =	"The number of phaser stages"
Effekttipps[0x000201] =	"The strength of the phaser effect"
Effekttipps[0x000202] =	"The feedback amount"
Effekttipps[0x000203] =	"The center frequency of the phaser effect"
Effekttipps[0x000204] =	"How much the center frequency is modulated by the LFO"
Effekttipps[0x000205] =	"The speed of the LFO"
Effekttipps[0x000206] =	"The phase difference between the LFO for the left and the LFO for right channel"
Effekttipps[0x000207] =	"The output volume"

Effekttipp = function(x) return Effekttipps[x] end

